# `sample_size_policy` Interface

A sample size policy.

This class serves to show the interface a size policy needs to support.

Defined in: `sample_size_policy.hpp`

## Public Types and Constants

### General definitions.

Type | Definition | Description

    size_type

    size_t, e.g.

Size type.

## Public Methods

### Constructors, destructor, and related.

Method | Description

      sample_size_policy
      ()

Default constructor.

Must be default constructable.

      sample_range_hashing
      (const sample_size_policy &other)

Copy constructor.

Must be copy constructable.

    inline void
      swap
      (sample_size_policy &other)

Swaps content.

Must be swappable (if there is such a word).

## Protected Methods

### Size methods

Method | Description

    inline size_type
      get_nearest_larger_size
      (size_type size) const

Given a size `size`, returns a size that is larger.

    inline size_type
      get_nearest_smaller_size
      (size_type size) const

Given a size `size`, returns a size that is smaller.